# Generated by Django 4.2.2 on 2023-09-06 02:31
import json

from django.db import migrations, models


def split_old_tags(apps, _):
    Note = apps.get_model("program", "Note")

    for note in Note.objects.exclude(old_tags=""):
        note.tags = json.dumps([tag.strip() for tag in note.old_tags.split(",")])

        note.save()


class Migration(migrations.Migration):
    dependencies = [
        ("program", "0072_timeslot_language_timeslot_topic"),
    ]

    operations = [
        migrations.RenameField(
            model_name="note",
            new_name="old_tags",
            old_name="tags",
        ),
        migrations.AddField(
            field=models.JSONField(blank=True, default=list),
            model_name="note",
            name="tags",
        ),
        migrations.RunPython(code=split_old_tags),
        migrations.RemoveField(
            model_name="note",
            name="old_tags",
        )
    ]
